Subject: Re: [Haskell-cafe] about integer and float operations
From: Henning Thielemann <[email-masked]>
To: Haskell Cafe mailing list <[email-masked]>
Cc: Simon Peyton-Jones <[email-masked]>, Manlio Perillo <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Fri, 06 Feb 2009 17:50:18 +0100

Simon Peyton-Jones wrote:
> | By the way: it is possible to use a private constructor (via some
> | special GHC flag?).
> | I would like to do a quick performance check using the existing
> | fromRational specialization by constructing a Rational directly.
> |
> | I know that Haskell allows declaration hiding for program safety, but
> | sometimes this can be a nuisance.
> 
> I think you mean that if you have
>         module M(f) where
>           f = ...
>           g = ...
> 
> precompiled in a library, is it possible to call g?
> 
> No, I'm afraid it isn't, at least in GHC. For example,  'g' may no longer exist... it may have been inlined into 'f'.

At least it is possible to access 'g' from GHCi if the module is loaded 
in interpreted mode.